%define lib_major   0
%define libname	%mklibname gnomeprint2-2_ %{lib_major}
%define libnamedev %mklibname -d gnomeprint2-2

Summary: GNOME print library
Name: libgnomeprint
Version: 2.18.8
Release: %mkrel 5
Source0: https://download.gnome.org/sources/%{name}/%{name}-%{version}.tar.bz2
# (cjw) add a stdio.h include for FILE etc.
Patch1: libgnomeprint-2.18.8-glibc.patch
Patch2: libgnomeprint-2.18.8-grammar.y.patch
License: LGPLv2+
Group: System/Libraries
Url: http://www.levien.com/gnome/print-arch.html
BuildRequires: pkgconfig(fontconfig) >= 1.0
BuildRequires: pkgconfig(glib-2.0) >= 1.3.10
BuildRequires: pkgconfig(gmodule-2.0) >= 1.3.10
BuildRequires: pkgconfig(gobject-2.0) >= 1.3.10
BuildRequires: pkgconfig(libart-2.0) >= 2.3.7
BuildRequires: pkgconfig(libgnomecups-1.0) >= 0.2.0
BuildRequires: pkgconfig(libxml-2.0) >= 2.4.23
BuildRequires: pkgconfig(pango) >= 1.5
BuildRequires: pkgconfig(pangoft2) >= 1.5
BuildRequires: bison
BuildRequires: flex
BuildRequires: gtk-doc >= 1.2
BuildRequires: intltool

%description
This is an implementation of the Gnome Printing Architecture, as
described in:

   http://www.levien.com/gnome/print-arch.html

%package -n %{libname}
Summary:	Library for GNOME print support
Group:		%{group}

Requires:	%{name} >= %{version}

%description -n %{libname}
This is an implementation of the Gnome Printing Architecture, as
described in:

   http://www.levien.com/gnome/print-arch.html

%package -n %{libnamedev}
Summary:	Static libraries, include files for GNOME print
Group:		Development/GNOME and GTK+
Provides:	%{name}2-2-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{name} = %{version}
Obsoletes: %mklibname -d gnomeprint2-2_ 0

%description -n %{libnamedev}
This is an implementation of the Gnome Printing Architecture, as
described in:

   http://www.levien.com/gnome/print-arch.html


%prep
%setup -q
%patch1 -p1 -b .glibc
%patch2 -p0

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}-2.2

#remove unpackaged files
find %{buildroot} -name '*.la' | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.2.lang
%defattr(-,root,root)
%doc README AUTHORS NEWS 
%dir %{_libdir}/libgnomeprint
%dir %{_libdir}/libgnomeprint/%{version}
%dir %{_libdir}/libgnomeprint/%{version}/modules
%dir %{_libdir}/libgnomeprint/%{version}/modules/transports
%dir %{_libdir}/libgnomeprint/%{version}/modules/filters
%{_libdir}/libgnomeprint/%{version}/modules/*.so
%{_libdir}/libgnomeprint/%{version}/modules/transports/*.so
%{_libdir}/libgnomeprint/%{version}/modules/filters/*.so
%{_datadir}/libgnomeprint

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgnomeprint-2-2.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Fri Oct 18 2013 fwang <fwang> 2.18.8-5.mga4
+ Revision: 507228
- fix build with bison 3

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.18.8-4.mga3
+ Revision: 357282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 cjw <cjw> 2.18.8-3.mga3
+ Revision: 326973
- patch1: fix build failure with new glibc header files

* Thu Sep 15 2011 fwang <fwang> 2.18.8-2.mga2
+ Revision: 143791
- drop .la files

* Sun Jan 16 2011 pterjan <pterjan> 2.18.8-1.mga1
+ Revision: 20476
- Drop obsolete scriptlets
- imported package libgnomeprint

